import { isCorrectFloat } from '@/plugin/utils/validator';

describe('isCorrectFloat()', () => {
  it('isCorrectFloat(12.2, true, 2, 2) => true', () => {
    expect(isCorrectFloat(12.2, true, 2, 2)).toBeTruthy();
  });

  it('isCorrectFloat(12.2, false, 2, 2) => true', () => {
    expect(isCorrectFloat(12.2, false, 2, 2)).toBeTruthy();
  });

  it('isCorrectFloat(12.2, false, 2, 1) => true', () => {
    expect(isCorrectFloat(12.2, false, 2, 1)).toBeTruthy();
  });

  it('isCorrectFloat(12.2, false, 3, 3) => true', () => {
    expect(isCorrectFloat(12.2, false, 3, 3)).toBeTruthy();
  });

  it('isCorrectFloat(12, false, 3, 3) => true', () => {
    expect(isCorrectFloat(12, false, 3, 3)).toBeTruthy();
  });

  it('isCorrectFloat(-12, false, 2, 3) => true', () => {
    expect(isCorrectFloat(-12, false, 2, 3)).toBeTruthy();
  });

  it('isCorrectFloat("lalala", false, 2, 3) => false', () => {
    expect(isCorrectFloat('lalala', false, 2, 3)).toBeFalsy();
  });

  it('isCorrectFloat("15.555", false, 2, 3) => true', () => {
    expect(isCorrectFloat('15.555', false, 2, 3)).toBeTruthy();
  });

  it('isCorrectFloat("15.55555", false, 2, 3) => false', () => {
    expect(isCorrectFloat('15.55555', false, 2, 3)).toBeFalsy();
  });

  it('isCorrectFloat("155.55", false, 2, 3) => false', () => {
    expect(isCorrectFloat('155.55', false, 2, 3)).toBeFalsy();
  });
});
